Uploaded image for project: 'Grouper'
  1. Grouper
  2. GRP-1986

UI/WS upgrade reverts some patching

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.4.0
    • Fix Version/s: None
    • Component/s: UI, WS
    • Labels:
      None

      Description

      Happens during an upgrade of the UI from 2.3 to 2.4. The process now is:

      1. revert all 2.3 patches to base 2,3
      2. Upgrade API libs and conf in UI directory
      3. Patch UI with api patches
      4. Build base 2.4 ui from tarball
      5. Compare base 2.4 against ui install and "upgrade" lib files that don't match

      This means that the domj and ldaptive are upgraded in step 3, but reverted in step 5.

      There are few ways to fix this, maybe just by changing the order.

       

        Smart Checklist

          Attachments

            Activity

              People

              • Assignee:
                chad.redman@at.internet2.edu Chad Redman (unc.edu)
                Reporter:
                chad.redman@at.internet2.edu Chad Redman (unc.edu)
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: